Subject: Re: [netatalk-admins] current netatalk plans

From: [email-masked]
Date: Fri, 20 Mar 98 16:49:15 PST

>> (An aside for the programmers: I see in the code that FNUMs for files
>> are derived from Unix inode numbers, so they are more or less fixed;
>> why can't DIDs for folders be derived from the inode numbers of
>> directories?  Wouldn't that solve the problem, or at least be a
>> temporary fix until it can be done "right"?)
>
>The Mac implementation allows us to return FNUMs that are unique only
>in the given directory, i.e. the inode number.  Since the inode number
>of the root of any given mounted directory is 2, it's not practical to
>use inode numbers for DIDs -- in /, say, /usr and /var could both be
>DID 2.

Wes-

Do you think this will work if afpd volumes are set up so they never cross Unix
filesystems?  That would guarantee the directory inode numbers are unique within
a volume.  I don't have a problem with restricting volumes this way, I already
have dedicated filesystems for the afpd volumes.  Obviously this would be a
site-specific "hack" and not a general solution, but it seems like it should
work for me.

Your feedback would be greatly appreciated!

Bob Smith
Hammett & Edison, Inc.
[email-masked]

---

From: Andras Kadinger <[email-masked]>
Date: Sat, 21 Mar 1998 03:07:49 +0100

[Sorry for the private copy Bob, I just didn't check the To: line the
first time.]

> site-specific "hack" and not a general solution, but it seems like it should

Might there be some way to put a major:minor or other filesystem
identifier combined with the inode number in that field? This should be
reasonably stable on a given machine even between afpd sessions.

Sincerely,
Andras Kadinger
[email-masked]